import { LineStyle } from "./connector";
export declare enum BoxCornerStyle {
    Square = 0,
    Rounded = 1
}
export declare class Box {
    private readonly _canvasX;
    private readonly _canvasY;
    private readonly _canvasWidth;
    private readonly _canvasHeight;
    private readonly _topRow;
    private readonly _leftColumn;
    private readonly _bottomRow;
    private readonly _rightColumn;
    private readonly _cornerStyle;
    private readonly _lineStyle;
    constructor(topRow: number, leftColumn: number, bottomRow: number, rightColumn: number, cornerStyle: BoxCornerStyle, lineStyle: LineStyle);
    get rightColumn(): number;
    get bottomRow(): number;
    get leftColumn(): number;
    get topRow(): number;
    get canvasHeight(): number;
    get canvasWidth(): number;
    get canvasY(): number;
    get canvasX(): number;
    get cornerStyle(): BoxCornerStyle;
    get lineStyle(): LineStyle;
}
export declare namespace Box {
    class Builder {
        protected _topRow: number;
        protected _leftColumn: number;
        protected _bottomRow: number;
        protected _rightColumn: number;
        protected _cornerStyle: BoxCornerStyle;
        protected _lineStyle: LineStyle;
        protected constructor(topRow: number, leftColumn: number, bottomRow: number, rightColumn: number, cornerStyle: BoxCornerStyle, lineStyle: LineStyle);
        static from(box: Box): Builder;
        build(): Box;
        topRow(value: number): this;
        leftColumn(value: number): this;
        bottomRow(value: number): this;
        rightColumn(value: number): this;
        cornerStyle(value: BoxCornerStyle): this;
        lineStyle(value: LineStyle): this;
    }
}
