"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Text {
    constructor(row, column, text) {
        this._row = row;
        this._column = column;
        this._text = text;
    }
    static fromGrid(row, column, text) {
        return new Text(row, column, text);
    }
    get row() {
        return this._row;
    }
    get column() {
        return this._column;
    }
    get text() {
        return this._text;
    }
    addChar(char) {
        this._text += char;
    }
    removeChar() {
        this._text = this._text.substr(0, this._text.length - 1);
    }
}
exports.Text = Text;
(function (Text) {
    class Builder {
        constructor(row, column, text) {
            this._row = row;
            this._column = column;
            this._text = text;
        }
        static from(text) {
            return new Builder(text.row, text.column, text.text);
        }
        build() {
            return new Text(this._row, this._column, this._text);
        }
        row(value) {
            this._row = value;
            return this;
        }
        column(value) {
            this._column = value;
            return this;
        }
        text(value) {
            this._text = value;
            return this;
        }
    }
    Text.Builder = Builder;
})(Text = exports.Text || (exports.Text = {}));
//# sourceMappingURL=text.js.map