import { Shape } from "./shape";
import { Box, BoxCornerStyle } from "../entities/box";
import { LineStyle } from "../entities/connector";
export declare class BoxShape extends Box implements Shape {
    private readonly _id;
    private _editing;
    constructor(id: number, topRow: number, leftColumn: number, bottomRow: number, rightColumn: number, cornerStyle: BoxCornerStyle, lineStyle: LineStyle, editing?: boolean);
    id(): number;
    editing(): boolean;
    endEditing(): void;
    startEditing(): void;
}
export declare namespace BoxShape {
    class ShapeBuilder extends Box.Builder {
        protected _id: number;
        protected _editing: boolean;
        protected constructor(id: number, topRow: number, leftColumn: number, bottomRow: number, rightColumn: number, cornerStyle: BoxCornerStyle, lineStyle: LineStyle, editing?: boolean);
        static from(box: BoxShape): ShapeBuilder;
        build(): BoxShape;
        id(value: number): this;
    }
}
