"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const box_1 = require("../entities/box");
class BoxShape extends box_1.Box {
    constructor(id, topRow, leftColumn, bottomRow, rightColumn, cornerStyle, lineStyle, editing = false) {
        super(topRow, leftColumn, bottomRow, rightColumn, cornerStyle, lineStyle);
        this._editing = false;
        this._id = id;
        this._editing = editing;
    }
    id() {
        return this._id;
    }
    editing() {
        return this._editing;
    }
    endEditing() {
        this._editing = false;
    }
    startEditing() {
        this._editing = true;
    }
}
exports.BoxShape = BoxShape;
(function (BoxShape) {
    class ShapeBuilder extends box_1.Box.Builder {
        constructor(id, topRow, leftColumn, bottomRow, rightColumn, cornerStyle, lineStyle, editing = false) {
            super(topRow, leftColumn, bottomRow, rightColumn, cornerStyle, lineStyle);
            this._editing = false;
            this._id = id;
            this._editing = editing;
        }
        static from(box) {
            return new ShapeBuilder(box.id(), box.topRow, box.leftColumn, box.bottomRow, box.rightColumn, box.cornerStyle, box.lineStyle, box.editing());
        }
        build() {
            return new BoxShape(this._id, this._topRow, this._leftColumn, this._bottomRow, this._rightColumn, this._cornerStyle, this._lineStyle, this._editing);
        }
        id(value) {
            this._id = value;
            return this;
        }
    }
    BoxShape.ShapeBuilder = ShapeBuilder;
})(BoxShape = exports.BoxShape || (exports.BoxShape = {}));
//# sourceMappingURL=box-shape.js.map