import { Shape } from "./shape";
import { Connector, ConnectorTipStyle, ConnectorType, GridPoint, LineStyle } from "../entities/connector";
export declare class ConnectorShape extends Connector implements Shape {
    private readonly _id;
    private _editing;
    static createShape(id: number, connectorType: ConnectorType, lineStyle?: LineStyle, horizontalTipStyle?: ConnectorTipStyle, verticalTipStyle?: ConnectorTipStyle): ConnectorShape;
    static createShapeByStartPoints(id: number, horizontalEdgeStartPoint: GridPoint, intersectionPoint: GridPoint, verticalEdgeStartPoint: GridPoint, lineStyle?: LineStyle, horizontalTipStyle?: ConnectorTipStyle, verticalTipStyle?: ConnectorTipStyle): ConnectorShape;
    constructor(id: number, connectorType: ConnectorType, lineStyle?: LineStyle, horizontalTipStyle?: ConnectorTipStyle, verticalTipStyle?: ConnectorTipStyle, editing?: boolean);
    id(): number;
    editing(): boolean;
    endEditing(): void;
    startEditing(): void;
}
export declare namespace ConnectorShape {
    class ShapeBuilder extends Connector.Builder {
        protected _id: number;
        protected _editing: boolean;
        protected constructor(id: number, connectorType: ConnectorType, lineStyle: LineStyle, horizontalTipStyle: ConnectorTipStyle, verticalTipStyle: ConnectorTipStyle, editing?: boolean);
        static from(connectorShape: ConnectorShape): ShapeBuilder;
        build(): ConnectorShape;
        id(value: number): this;
        editing(value: boolean): this;
    }
}
