import { Shape } from "./shape";
import { Text } from "../entities/text";
export declare class TextShape extends Text implements Shape {
    private readonly _id;
    private _editing;
    constructor(id: number, row: number, column: number, text: string, editing?: boolean);
    id(): number;
    editing(): boolean;
    endEditing(): void;
    startEditing(): void;
}
export declare namespace TextShape {
    class ShapeBuilder extends Text.Builder {
        protected _id: number;
        protected _editing: boolean;
        protected constructor(id: number, row: number, column: number, text: string, editing: boolean);
        static from(shape: TextShape): ShapeBuilder;
        build(): TextShape;
        id(value: number): this;
        editing(value: boolean): this;
    }
}
