"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const text_1 = require("../entities/text");
class TextShape extends text_1.Text {
    constructor(id, row, column, text, editing = false) {
        super(row, column, text);
        this._editing = false;
        this._id = id;
    }
    id() {
        return this._id;
    }
    editing() {
        return this._editing;
    }
    endEditing() {
        this._editing = false;
    }
    startEditing() {
        this._editing = true;
    }
}
exports.TextShape = TextShape;
(function (TextShape) {
    class ShapeBuilder extends text_1.Text.Builder {
        constructor(id, row, column, text, editing) {
            super(row, column, text);
            this._editing = false;
            this._id = id;
            this._editing = editing;
        }
        static from(shape) {
            return new ShapeBuilder(shape.id(), shape.row, shape.column, shape.text, shape.editing());
        }
        build() {
            return new TextShape(this._id, this._row, this._column, this._text, this._editing);
        }
        id(value) {
            this._id = value;
            return this;
        }
        editing(value) {
            this._editing = value;
            return this;
        }
    }
    TextShape.ShapeBuilder = ShapeBuilder;
})(TextShape = exports.TextShape || (exports.TextShape = {}));
//# sourceMappingURL=text-shape.js.map